moeoRealObjectiveVector(3)

NAME
moeoRealObjectiveVector - This class allows to represent a solution in the objective space (phenotypic representation) by a std::vector of real values, i.e.

SYNOPSIS

#include <moeoRealObjectiveVector.h>

Inherits moeoObjectiveVector< ObjectiveVectorTraits, double >.

  Public Member Functions
moeoRealObjectiveVector (double _value=0.0)
Ctor.
moeoRealObjectiveVector (std::vector< double > &_v)
Ctor from a vector of doubles.
bool dominates (const moeoRealObjectiveVector< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector dominates _other according to the Pareto dominance relation (but it's better to use a moeoObjectiveVectorComparator object to compare solutions).
bool operator== (const moeoRealObjectiveVector< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is equal to _other (according to a tolerance value).
bool operator!= (const moeoRealObjectiveVector< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is different than _other (according to a tolerance value).
bool operator< (const moeoRealObjectiveVector< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is smaller than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).
bool operator> (const moeoRealObjectiveVector< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is greater than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).
bool operator<= (const moeoRealObjectiveVector< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is smaller than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).
bool operator>= (const moeoRealObjectiveVector< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is greater than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Detailed Description

  template<class ObjectiveVectorTraits> class moeoRealObjectiveVector< ObjectiveVectorTraits >
This class allows to represent a solution in the objective space (phenotypic representation) by a std::vector of real values, i.e. that an objective value is represented using a double, and this for any objective.

Definition at line 27 of file moeoRealObjectiveVector.h.

Constructor & Destructor Documentation

  template<class ObjectiveVectorTraits> moeoRealObjectiveVector< ObjectiveVectorTraits >::moeoRealObjectiveVector (std::vector< double > & _v) [inline]

Ctor from a vector of doubles.

Parameters:
    _v the std::vector < double >

Definition at line 45 of file moeoRealObjectiveVector.h.

Member Function Documentation

  template<class ObjectiveVectorTraits> bool moeoRealObjectiveVector< ObjectiveVectorTraits >::dominates (const moeoRealObjectiveVector< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector dominates _other according to the Pareto dominance relation (but it's better to use a moeoObjectiveVectorComparator object to compare solutions).

Parameters:
    _other the other moeoRealObjectiveVector object to compare with

Definition at line 54 of file moeoRealObjectiveVector.h.

  template<class ObjectiveVectorTraits> bool moeoRealObjectiveVector< ObjectiveVectorTraits >::operator== (const moeoRealObjectiveVector< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is equal to _other (according to a tolerance value).

Parameters:
    _other the other moeoRealObjectiveVector object to compare with

Definition at line 65 of file moeoRealObjectiveVector.h.

Referenced by moeoRealObjectiveVector< ObjectiveVectorTraits >::operator!=(), and moeoRealObjectiveVector< ObjectiveVectorTraits >::operator>=().

  template<class ObjectiveVectorTraits> bool moeoRealObjectiveVector< ObjectiveVectorTraits >::operator!= (const moeoRealObjectiveVector< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is different than _other (according to a tolerance value).

Parameters:
    _other the other moeoRealObjectiveVector object to compare with

Definition at line 82 of file moeoRealObjectiveVector.h.

References moeoRealObjectiveVector< ObjectiveVectorTraits >::operator==().

  template<class ObjectiveVectorTraits> bool moeoRealObjectiveVector< ObjectiveVectorTraits >::operator< (const moeoRealObjectiveVector< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is smaller than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoRealObjectiveVector object to compare with

Definition at line 93 of file moeoRealObjectiveVector.h.

Referenced by moeoRealObjectiveVector< ObjectiveVectorTraits >::operator<=().

  template<class ObjectiveVectorTraits> bool moeoRealObjectiveVector< ObjectiveVectorTraits >::operator> (const moeoRealObjectiveVector< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is greater than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoRealObjectiveVector object to compare with

Definition at line 105 of file moeoRealObjectiveVector.h.

Referenced by moeoRealObjectiveVector< ObjectiveVectorTraits >::operator>=().

  template<class ObjectiveVectorTraits> bool moeoRealObjectiveVector< ObjectiveVectorTraits >::operator<= (const moeoRealObjectiveVector< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is smaller than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoRealObjectiveVector object to compare with

Definition at line 116 of file moeoRealObjectiveVector.h.

References moeoRealObjectiveVector< ObjectiveVectorTraits >::operator<().

  template<class ObjectiveVectorTraits> bool moeoRealObjectiveVector< ObjectiveVectorTraits >::operator>= (const moeoRealObjectiveVector< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is greater than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoRealObjectiveVector object to compare with

Definition at line 127 of file moeoRealObjectiveVector.h.

References moeoRealObjectiveVector< ObjectiveVectorTraits >::operator==(), and moeoRealObjectiveVector< ObjectiveVectorTraits >::operator>().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.